# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | Friends | List of all members
dirac::OLBParams Class Reference

Parameters for overlapped block motion compensation.

`#include <common.h>`

## Public Member Functions
| OLBParams ()
| Default constructor does nothing. More...
| OLBParams (const int xblen, const int yblen, const int xbsep, const int ybsep)
| Constructor. More...
int | Xblen () const
| Returns the horizontal block length. More...
int | Yblen () const
| Returns the vertical block length. More...
int | Xbsep () const
| Returns the horizontal block separation. More...
int | Ybsep () const
| Returns the vertical block separation. More...
int | Xoffset () const
| The offset in the horizontal start of the block caused by overlap,=(XBLEN-XBSEP)/2. More...
int | Yoffset () const
| The offset in the vertical start of the block caused by overlap,=(YBLEN-YBSEP)/2. More...
void | SetXblen (int xblen)
| Sets the block width. More...
void | SetYblen (int yblen)
| Sets the block height. More...
void | SetXbsep (int xbsep)
| Sets the block horizontal separation. More...
void | SetYbsep (int ybsep)
| Sets the block vertical separation. More...
bool | operator== (const OLBParams bparams) const

## Private Attributes
int | m_xblen
int | m_yblen
int | m_xbsep
int | m_ybsep
int | m_xoffset
int | m_yoffset

## Friends
std::ostream & | operator<< (std::ostream &, OLBParams &)
std::istream & | operator>> (std::istream &, OLBParams &)

## Constructor & Destructor Documentation

## ◆ OLBParams() [1/2]

dirac::OLBParams::OLBParams | ( |  | ) |
| inline

## ◆ OLBParams() [2/2]

dirac::OLBParams::OLBParams | ( | const int | xblen,
|  | const int | yblen,
|  | const int | xbsep,
|  | const int | ybsep
| ) |  |

## Member Function Documentation

## ◆ operator==()

bool dirac::OLBParams::operator== | ( | const OLBParams | bparams | ) | const

## ◆ SetXblen()

void dirac::OLBParams::SetXblen | ( | int | xblen | ) |
| inline

References m_xblen, m_xbsep, and m_xoffset.

## ◆ SetXbsep()

void dirac::OLBParams::SetXbsep | ( | int | xbsep | ) |
| inline

References m_xblen, m_xbsep, and m_xoffset.

## ◆ SetYblen()

void dirac::OLBParams::SetYblen | ( | int | yblen | ) |
| inline

References m_yblen, m_ybsep, and m_yoffset.

## ◆ SetYbsep()

void dirac::OLBParams::SetYbsep | ( | int | ybsep | ) |
| inline

References m_yblen, m_ybsep, and m_yoffset.

## ◆ Xblen()

int dirac::OLBParams::Xblen | ( |  | ) | const
| inline

References m_xblen.

## ◆ Xbsep()

int dirac::OLBParams::Xbsep | ( |  | ) | const
| inline

References m_xbsep.

## ◆ Xoffset()

int dirac::OLBParams::Xoffset | ( |  | ) | const
| inline

References m_xoffset.

## ◆ Yblen()

int dirac::OLBParams::Yblen | ( |  | ) | const
| inline

References m_yblen.

## ◆ Ybsep()

int dirac::OLBParams::Ybsep | ( |  | ) | const
| inline

References m_ybsep.

## ◆ Yoffset()

int dirac::OLBParams::Yoffset | ( |  | ) | const
| inline

References m_yoffset.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | ,
|  | OLBParams & |
| ) |  |
| friend

## ◆ operator>>

std::istream & operator>> | ( | std::istream & | ,
|  | OLBParams & |
| ) |  |
| friend

## Member Data Documentation

## ◆ m_xblen

int dirac::OLBParams::m_xblen
| private

Referenced by SetXblen(), SetXbsep(), and Xblen().

## ◆ m_xbsep

int dirac::OLBParams::m_xbsep
| private

Referenced by SetXblen(), SetXbsep(), and Xbsep().

## ◆ m_xoffset

int dirac::OLBParams::m_xoffset
| private

Referenced by SetXblen(), SetXbsep(), and Xoffset().

## ◆ m_yblen

int dirac::OLBParams::m_yblen
| private

Referenced by SetYblen(), SetYbsep(), and Yblen().

## ◆ m_ybsep

int dirac::OLBParams::m_ybsep
| private

Referenced by SetYblen(), SetYbsep(), and Ybsep().

## ◆ m_yoffset

int dirac::OLBParams::m_yoffset
| private

Referenced by SetYblen(), SetYbsep(), and Yoffset().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.